Subject: Re: [RFC] Git User's Survey 2007

From: Jakub Narebski <[email-masked]>
Date: Mon, 30 Jul 2007 23:35:39 +0200

On Mon, 30 July 2007, Nguyen Thai Ngoc Duy wrote:
> On 7/27/07, Jakub Narebski <[email-masked]> wrote:

>> It's been more than a year since last Git User's Survey. It would be
>> interesting to find what changed since then. Therefore the idea to
>> have another survey.
> 
> I am probably going a little far here. I think we should include
> briefly in the survey announcement what git has achieved since the
> last survey. We want to know what changed from users. Maybe users also
> want to know what changed from git since then. Also it would be good
> advertisement if it gets posted on online magazines and popular sites.

Well, there are in the survey questions about changes in GIT:
----
Changes in GIT (since year ago, or since you started using it)

    0. Did you participate in previous Git User's Survey?
    -  yes/no
    1. What improvements you wanted got implemented?
    2. What improvements you wanted didn't get implemented?
    3. How do you compare current version iwth version from year ago?
    -  current version is: better/worse/no changes
    4. Which of the new features do you use?
       (zero or more: multiple choice)
    -  git-gui, bundle, eol conversion, gitattributes,
       submodules, worktree, release notes, user's manual,
       reflog, stash, shallow clone, detached HEAD, fast-import,
       mergetool, other (not mentioned here)
    5. If you selected "other", what are those features?
----

Regarding announcement of what git has achieved since last survey:
I'm not sure what is the full list. RelNotes are fairly recent,
unfortunately...

-- 
Jakub Narebski
Poland